%define major           7
%define libname         %mklibname webp %{major}
%define devname         %mklibname webp -d

%define mux_major       3
%define muxlibname      %mklibname webpmux %{mux_major}

%define demux_major     2
%define demuxlibname    %mklibname webpdemux %{demux_major}

%define decoder_major   3
%define decoderlibname  %mklibname webpdecoder %{decoder_major}

%define sharpyuv_major  0
%define sharpyuvlibname %mklibname sharpyuv %{sharpyuv_major}

# comment out when not pre-release
#define prel rc2

%define rel 2

Name:           libwebp
Version:        1.3.0
Release:        %mkrel %{?prel:0.%prel.}%{rel}
Summary:        Library and tools for the WebP graphics format
Group:          Development/C
# Additional IPR is licensed as well. See PATENTS file for details
License:        BSD
URL:            https://webmproject.org/
Source0:        http://downloads.webmproject.org/releases/webp/%{name}-%{version}%{?prel:-%{prel}}.tar.gz

Patch1:		0001-EncodeAlphaInternal-clear-result-bw-on-error.patch
Patch2:		0002-PaletteSortModifiedZeng-fix-leak-on-error.patch
Patch3:		0003-upsampling_neon.c-fix-WEBP_SWAP_16BIT_CSP-check.patch

BuildRequires:  giflib-devel
BuildRequires:  libtool
BuildRequires:  pkgconfig(freeglut)
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(libtiff-4)
BuildRequires:  swig

%description
WebP is an image format that does lossy compression of digital
photographic images. WebP consists of a codec based on VP8, and a
container based on RIFF. Webmasters, web developers and browser
developers can use WebP to compress, archive and distribute digital
images more efficiently.

%package tools
Group:          Development/Other
Summary:        The WebP command line tools

%description tools
Command line tools for the WebP image format.

%package -n     %{libname}
Group:          System/Libraries
Summary:        Library for the WebP format

%description -n %{libname}
Shared library for the WebP image format.

%package -n     %{muxlibname}
Group:          System/Libraries
Summary:        Library for the WebP format with support for muxing

%description -n %{muxlibname}
Shared library for the WebP image format with support for muxing.

%package -n     %{demuxlibname}
Group:          System/Libraries
Summary:        Library for the WebP format with support for demuxing

%description -n %{demuxlibname}
Shared library for the WebP image format with support for demuxing.

%package -n     %{decoderlibname}
Group:          System/Libraries
Summary:        Library for the WebP format with support for decoding

%description -n %{decoderlibname}
Shared library for the WebP image format with support for decoding.

%package -n     %{sharpyuvlibname}
Group:          System/Libraries
Summary:        Library for the WebP format with support for sharpyuv

%description -n %{sharpyuvlibname}
Shared library for the WebP image format with support for sharpyuv.

%package -n     %{devname}
Group:          Development/C
Summary:        Development files for libwebp, a library for the WebP format
Requires:       %{libname} = %{version}-%{release}
Requires:       %{muxlibname} = %{version}-%{release}
Requires:       %{demuxlibname} = %{version}-%{release}
Requires:       %{decoderlibname} = %{version}-%{release}
Requires:       %{sharpyuvlibname} = %{version}-%{release}
Provides:       webp-devel = %{version}-%{release}

%description -n %{devname}
Development headers and libraries for the WebP libraries.

%prep
%autosetup -p1 -n %{name}-%{version}%{?prel:-%{prel}}

%build
autoreconf -vfi
%configure \
  --disable-static \
  --enable-libwebpmux \
  --enable-libwebpdemux \
  --enable-libwebpdecoder \
%ifarch %{arm}
  --disable-neon
%endif

%make_build

%install
%make_install

find %{buildroot} -name "*.la" -delete

%files tools
%{_bindir}/*webp*
%{_mandir}/man1/*webp*.1.*

%files -n %{libname}
%doc README.md PATENTS NEWS AUTHORS
%license COPYING
%{_libdir}/%{name}.so.%{major}{,.*}

%files -n %{muxlibname}
%doc README.md
%{_libdir}/%{name}mux.so.%{mux_major}{,.*}

%files -n %{demuxlibname}
%doc README.md
%{_libdir}/%{name}demux.so.%{demux_major}{,.*}

%files -n %{decoderlibname}
%doc README.md
%{_libdir}/%{name}decoder.so.%{decoder_major}{,.*}

%files -n %{sharpyuvlibname}
%doc README.md
%{_libdir}/libsharpyuv.so.%{sharpyuv_major}{,.*}

%files -n %{devname}
%doc README.md
%{_libdir}/%{name}.so
%{_libdir}/%{name}mux.so
%{_libdir}/%{name}demux.so
%{_libdir}/%{name}decoder.so
%{_libdir}/libsharpyuv.so
%{_includedir}/webp/
%{_libdir}/pkgconfig/%{name}*.pc
%{_libdir}/pkgconfig/libsharpyuv.pc


%changelog
* Tue Apr 11 2023 luigiwalser <luigiwalser> 1.3.0-2.mga9
+ Revision: 1952773
- add upstream fixes including double free security fix

* Fri Jan 13 2023 daviddavid <daviddavid> 1.3.0-1.mga9
+ Revision: 1932775
- new version: 1.3.0
- new libsharpyuv package

* Mon Dec 12 2022 ns80 <ns80> 1.2.4-2.mga9
+ Revision: 1921079
- rebuild for new libtiff

* Fri Aug 12 2022 luigiwalser <luigiwalser> 1.2.4-1.mga9
+ Revision: 1877226
- 1.2.4

* Mon Jul 25 2022 luigiwalser <luigiwalser> 1.2.3-1.mga9
+ Revision: 1871577
- 1.2.3

* Mon Mar 28 2022 umeabot <umeabot> 1.2.2-2.mga9
+ Revision: 1830558
- Mageia 9 Mass Rebuild

* Sun Jan 23 2022 luigiwalser <luigiwalser> 1.2.2-1.mga9
+ Revision: 1769531
- 1.2.2

* Tue Aug 17 2021 luigiwalser <luigiwalser> 1.2.1-1.mga9
+ Revision: 1741794
- 1.2.1

* Sun Feb 28 2021 daviddavid <daviddavid> 1.2.0-1.mga9
+ Revision: 1693315
- new version: 1.2.0

* Wed Feb 19 2020 umeabot <umeabot> 1.1.0-2.mga8
+ Revision: 1542837
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Jan 07 2020 daviddavid <daviddavid> 1.1.0-1.mga8
+ Revision: 1477084
- new version: 1.1.0

* Mon Jul 15 2019 daviddavid <daviddavid> 1.0.3-1.mga8
+ Revision: 1421525
- new version: 1.0.3

* Mon Jan 21 2019 luigiwalser <luigiwalser> 1.0.2-1.mga7
+ Revision: 1358568
- 1.0.2

* Mon Nov 19 2018 daviddavid <daviddavid> 1.0.1-1.mga7
+ Revision: 1331727
- new version: 1.0.1

* Sun Sep 23 2018 umeabot <umeabot> 1.0.0-2.mga7
+ Revision: 1299222
- Mageia 7 Mass Rebuild

* Sat Jul 28 2018 daviddavid <daviddavid> 1.0.0-1.mga7
+ Revision: 1245660
- new version: 1.0.0

* Mon Apr 16 2018 kekepower <kekepower> 1.0.0-0.rc2.1.mga7
+ Revision: 1219486
- Update to version 1.0.0-rc2

* Mon Apr 16 2018 daviddavid <daviddavid> 0.6.1-1.mga7
+ Revision: 1219134
- new version: 0.6.1

* Mon Jul 17 2017 akien <akien> 0.6.0-1.mga7
+ Revision: 1124254
- Version 0.6.0

* Sun Jan 22 2017 akien <akien> 0.5.2-2.mga6
+ Revision: 1082963
- Enable webpmux and webpdecoder libraries

* Wed Dec 28 2016 luigiwalser <luigiwalser> 0.5.2-1.mga6
+ Revision: 1078535
- 0.5.2

* Tue Nov 08 2016 ns80 <ns80> 0.5.1-3.mga6
+ Revision: 1065809
- add upstream patch for CVE-2016-9085 (mga#19719)

* Fri Aug 12 2016 daviddavid <daviddavid> 0.5.1-2.mga6
+ Revision: 1046110
- disable NEON support on arm as it fails on armv7hl

* Wed Aug 10 2016 luigiwalser <luigiwalser> 0.5.1-1.mga6
+ Revision: 1045295
- 0.5.1

* Fri May 13 2016 tv <tv> 0.5.0-2.mga6
+ Revision: 1014671
- BR freeglut-devel to build vwebp
- use %%license
- use std build macros

* Fri Jan 01 2016 luigiwalser <luigiwalser> 0.5.0-1.mga6
+ Revision: 917793
- 0.5.0
- libwebp major is now 6
- libwebpdemux major is now 2

* Mon Nov 16 2015 oden <oden> 0.4.4-1.mga6
+ Revision: 903527
- 0.4.4

* Wed Apr 15 2015 luigiwalser <luigiwalser> 0.4.3-1.mga5
+ Revision: 820290
- 0.4.3

* Tue Nov 04 2014 cjw <cjw> 0.4.2-2.mga5
+ Revision: 795490
- enable libwebpdemux, chromium-browser can use this

* Mon Nov 03 2014 luigiwalser <luigiwalser> 0.4.2-1.mga5
+ Revision: 795357
- 0.4.2

* Wed Oct 15 2014 umeabot <umeabot> 0.4.1-3.mga5
+ Revision: 745636
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4.1-2.mga5
+ Revision: 681854
- Mageia 5 Mass Rebuild

* Thu Jul 31 2014 luigiwalser <luigiwalser> 0.4.1-1.mga5
+ Revision: 658785
- 0.4.1
- update source URL

* Sat Feb 15 2014 luigiwalser <luigiwalser> 0.4.0-1.mga5
+ Revision: 591534
- 0.4.0
- library major is now 5

* Sat Oct 19 2013 umeabot <umeabot> 0.3.1-2.mga4
+ Revision: 528901
- Mageia 4 Mass Rebuild

* Sat Jun 29 2013 sander85 <sander85> 0.3.1-1.mga4
+ Revision: 448238
- New version: 0.3.1

* Sun Jun 02 2013 fwang <fwang> 0.3.0-3.mga4
+ Revision: 434625
- rebuild for new libpng

* Thu May 23 2013 fwang <fwang> 0.3.0-2.mga4
+ Revision: 425600
- add more br
- add more br

* Thu May 23 2013 fwang <fwang> 0.3.0-1.mga4
+ Revision: 425511
- new version 0.3.0

* Sat Jan 12 2013 umeabot <umeabot> 0.2.1-2.mga3
+ Revision: 358445
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ fwang <fwang>
- drop java support

* Thu Nov 15 2012 fwang <fwang> 0.2.1-1.mga3
+ Revision: 318088
- new version 0.2.1

* Sun Aug 26 2012 fedya <fedya> 0.2.0-1.mga3
+ Revision: 284037
- added %%mkrel macro
- %%major macro into files section
- imported package libwebp

